com.lowagie.toolbox

## Class Toolbox.Console.ReaderThread

- java.lang.Object
- - java.lang.Thread
  - - com.lowagie.toolbox.Toolbox.Console.ReaderThread

- All Implemented Interfaces:
    java.lang.Runnable
  Enclosing class:
    Toolbox.Console

       class Toolbox.Console.ReaderThread
      extends java.lang.Thread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.io.PipedInputStream` | `pi`
    `(package private) java.lang.String` | `type`

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Toolbox.Console.ReaderThread(java.io.PipedInputStream pi, java.lang.String type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### pi

          java.io.PipedInputStream pi

    - #### type

          java.lang.String type

  - ### Constructor Detail

    - #### Toolbox.Console.ReaderThread

          Toolbox.Console.ReaderThread(java.io.PipedInputStream pi,
                                      java.lang.String type)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`
      See Also:
        `Thread.run()`